<script  setup lang="ts">
import { useReceiptStore } from '@/stores/receipt';

const receiptStore = useReceiptStore()
</script>

<template>
<v-table>
    <thead>
        <tr>
            <th>#</th>
            <th>name</th>
            <th>price</th>
            <th>unit</th>
            <th>total</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        <tr v-for = "(item, index) of receiptStore.receiptItems" :key = "item.id">
            <td>{{ index+1 }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.price }}</td>
            <td>
                <v-btn icon="mdi-minus" density="compact"  @click="receiptStore.dec(item)"></v-btn>{{ item.unit }}
                <v-btn icon="mdi-plus" density="compact" @click="receiptStore.inc(item)"></v-btn>
            </td>
            <td>{{ item.unit * item.price }}</td>
            <td><v-btn icon="mdi-delete" density="compact" @Click="() => {
                receiptStore.removeReceiptItem(item)
            }"></v-btn></td>
        </tr>
    </tbody>
</v-table>  
</template>